Schema "fpml-option-shared-5-5.xsd"
Target Namespace:

  http://www.fpml.org/FpML-5/transparency

Version:

  $Revision: 10093 $

Defined Components:

  29 local elements, 16 complexTypes, 2 element groups

Default Namespace-Qualified Form:

  Local Elements: qualified; Local Attributes: unqualified

Schema Location:

  C:\Users\mkoli\FpML Specifications\trunk\xml\transparency\fpml-option-shared-5-5.xsd; see XML source

Includes Schema:

  fpml-asset-5-5.xsd [src]

Included in Schemas (5):

  fpml-bond-option-5-5.xsd [src], fpml-cd-5-5.xsd [src], fpml-com-5-5.xsd [src], fpml-eq-shared-5-5.xsd [src], fpml-fx-5-5.xsd [src]

All Element Summary
applicable (in restructuring in creditEvents) | Indicates whether the restructuring provision is applicable.
Type: | xsd:boolean
Content: | simple
Defined: | locally witnin Restructuring complexType; see XML source
currency (defined in OptionStrike complexType) | The currency in which an amount is denominated.
Type: | Currency
Content: | simple, 1 attribute
Defined: | locally witnin OptionStrike complexType; see XML source
entitlementCurrency | TODO
Type: | Currency
Content: | simple, 1 attribute
Defined: | locally witnin OptionDenomination.model group; see XML source
fxRate (defined in Quanto complexType) | Specifies a currency conversion rate.
Type: | FxRate
Content: | complex, 2 elements
Defined: | locally witnin Quanto complexType; see XML source
fxSpotRateSource (defined in Quanto complexType) | Specifies the methodology (reference source and, optionally, fixing time) to be used for determining a currency conversion rate.
Type: | FxSpotRateSource
Content: | complex, 3 elements
Defined: | locally witnin Quanto complexType; see XML source
level | The trigger level.
Type: | xsd:decimal
Content: | simple
Defined: | locally witnin Trigger complexType; see XML source
levelPercentage | The trigger level percentage.
Type: | xsd:decimal
Content: | simple
Defined: | locally witnin Trigger complexType; see XML source
notionalAmount (defined in OptionBaseExtended complexType) |
Type: | Money
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin OptionBaseExtended complexType; see XML source
notionalReference (defined in OptionBaseExtended complexType) |
Type: | NotionalAmountReference
Content: | empty, 1 attribute
Defined: | locally witnin OptionBaseExtended complexType; see XML source
numberOfOptions (defined in OptionDenomination.model group) | The number of options comprised in the option transaction.
Type: | PositiveDecimal
Content: | simple
Defined: | locally witnin OptionDenomination.model group; see XML source
optionEntitlement (defined in OptionDenomination.model group) | The number of units of underlyer per option comprised in the option transaction.
Type: | PositiveDecimal
Content: | simple
Defined: | locally witnin OptionDenomination.model group; see XML source
optionType (defined in OptionBase complexType) | The type of option transaction.
Type: | OptionTypeEnum
Content: | simple
Defined: | locally witnin OptionBase complexType; see XML source
passThroughItem | One to many pass through payment items.
Type: | PassThroughItem
Content: | complex, 3 elements
Defined: | locally witnin PassThrough complexType; see XML source
passThroughPercentage | Percentage of payments from the underlyer which are passed through.
Type: | xsd:decimal
Content: | simple
Defined: | locally witnin PassThroughItem complexType; see XML source
paymentType (in additionalPayment in correlationSwap) | Payment classification.
Type: | PaymentType
Content: | simple, 1 attribute
Defined: | locally witnin ClassifiedPayment complexType; see XML source
premium (defined in OptionBaseExtended complexType) | The option premium payable by the buyer to the seller.
Type: | Premium
Content: | complex, 1 attribute, 4 elements
Defined: | locally witnin OptionBaseExtended complexType; see XML source
publicSource | A public information source, e.g. a particular newspaper or electronic news service, that may publish relevant information used in the determination of whether or not a credit event has occurred.
Type: | xsd:string
Content: | simple
Defined: | locally witnin PubliclyAvailableInformation complexType; see XML source
restructuring (in creditEvents) | A credit event.
Type: | Restructuring
Content: | complex, 1 element
Defined: | locally witnin CreditEvents complexType; see XML source
settlementDate (defined in OptionSettlement.model group) |
Type: | AdjustableOrRelativeDate
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin OptionSettlement.model group; see XML source
settlementType (defined in OptionSettlement.model group) |
Type: | SettlementTypeEnum
Content: | simple
Defined: | locally witnin OptionSettlement.model group; see XML source
specifiedNumber | The minimum number of the specified public information sources that must publish information that reasonably confirms that a credit event has occurred.
Type: | xsd:positiveInteger
Content: | simple
Defined: | locally witnin PubliclyAvailableInformation complexType; see XML source
standardPublicSources | If this element is specified and set to 'true', indicates that ISDA defined Standard Public Sources are applicable.
Type: | xsd:boolean
Content: | simple
Defined: | locally witnin PubliclyAvailableInformation complexType; see XML source
strikePercentage | The price or level expressed as a percentage of the forward starting spot price.
Type: | xsd:decimal
Content: | simple
Defined: | locally witnin OptionNumericStrike complexType; see XML source
strikePrice (defined in OptionNumericStrike complexType) | The price or level at which the option has been struck.
Type: | xsd:decimal
Content: | simple
Defined: | locally witnin OptionNumericStrike complexType; see XML source
triggerTimeType | The valuation time type of knock condition.
Type: | TriggerTimeTypeEnum
Content: | simple
Defined: | locally witnin Trigger complexType; see XML source
triggerType | The Triggering condition.
Type: | TriggerTypeEnum
Content: | simple
Defined: | locally witnin Trigger complexType; see XML source
underlyerReference (in passThroughItem) | Reference to the underlyer whose payments are being passed through.
Type: | AssetReference
Content: | empty, 1 attribute
Defined: | locally witnin PassThroughItem complexType; see XML source
upperStrike | Upper strike in a strike spread.
Type: | OptionStrike
Content: | complex, 3 elements
Defined: | locally witnin StrikeSpread complexType; see XML source
upperStrikeNumberOfOptions | Number of options at the upper strike price in a strike spread.
Type: | PositiveDecimal
Content: | simple
Defined: | locally witnin StrikeSpread complexType; see XML source

Complex Type Summary
ClassifiedPayment | A classified non negative payment.
Content: | complex, 1 attribute, 2 elements
Defined: | globally; see XML source
Includes: | definition of 1 element
Used: | at 1 location
CreditEvents |
Content: | complex, 1 attribute, 1 element
Defined: | globally; see XML source
Includes: | definitions of 1 attribute, 1 element
Used: | at 1 location
FrequencyType | Frequency Type.
Content: | simple, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | never
Option | A type for defining the common features of options.
Content: | complex, 1 attribute, 7 elements
Abstract: | (cannot be assigned directly to elements used in instance XML documents)
Defined: | globally; see XML source
Used: | at 3 locations
OptionBase | A type for defining the common features of options.
Content: | complex, 1 attribute, 8 elements
Abstract: | (cannot be assigned directly to elements used in instance XML documents)
Defined: | globally; see XML source
Includes: | definition of 1 element
Used: | at 3 locations
OptionBaseExtended | Base type for options starting with the 4-3 release, until we refactor the schema as part of the 5-0 release series.
Content: | complex, 1 attribute, 15 elements
Abstract: | (cannot be assigned directly to elements used in instance XML documents)
Defined: | globally; see XML source
Includes: | definitions of 4 elements
Used: | at 2 locations
OptionNumericStrike | A type for defining the strike price for an option as a numeric value without currency.
Content: | complex, 2 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location
OptionStrike | A type for defining the strike price for an equity option.
Content: | complex, 3 elements
Defined: | globally; see XML source
Includes: | definition of 1 element
Used: | at 2 locations
PassThrough | Type which contains pass through payments.
Content: | complex, 1 element
Defined: | globally; see XML source
Includes: | definition of 1 element
Used: | never
PassThroughItem | Type to represent a single pass through payment.
Content: | complex, 3 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location
Premium | A type for defining a premium.
Content: | complex, 1 attribute, 4 elements
Defined: | globally; see XML source
Used: | at 1 location
PubliclyAvailableInformation |
Content: | complex, 3 elements
Defined: | globally; see XML source
Includes: | definitions of 3 elements
Used: | never
Quanto | Determines the currency rate that the seller of the equity amounts will apply at each valuation date for converting the respective amounts into a currency that is different from the currency denomination of the underlyer.
Content: | complex, 2 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | never
Restructuring |
Content: | complex, 1 element
Defined: | globally; see XML source
Includes: | definition of 1 element
Used: | at 1 location
StrikeSpread | A type for defining a strike spread feature.
Content: | complex, 2 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | never
Trigger | Trigger point at which feature is effective.
Content: | complex, 4 elements
Defined: | globally; see XML source
Includes: | definitions of 4 elements
Used: | never

Element Group Summary
OptionDenomination.model | A model group containing the option denomination components.
Content: | 3 elements
Defined: | globally; see XML source
Includes: | definitions of 3 elements
Used: | at 1 location
OptionSettlement.model | A group which has Option Settlement elements.
Content: | 4 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 2 locations

XML Source

<?xml version="1.0" encoding="utf-8"?> <!-- == Copyright (c) 2002-2013 All rights reserved. == Financial Products Markup Language is subject to the FpML public license. == A copy of this license is available at http://www.fpml.org/license/license.html --> <xsd:schema attributeFormDefault="unqualified" ecore:documentRoot="FpML" ecore:nsPrefix="trnsp" ecore:package="org.fpml.transparency" elementFormDefault="qualified" targetNamespace="http://www.fpml.org/FpML-5/transparency" version="$Revision: 10093 $" xmlns="http://www.fpml.org/FpML-5/transparency" xmlns:ecore="http://www.eclipse.org/emf/2002/Ecore" xmlns:xsd="http://www.w3.org/2001/XMLSchema"> <xsd:include schemaLocation="fpml-asset-5-5.xsd"/> <!--View Generation: SKIPPED Asian - NonStandardFeature--> <!--View Generation: SKIPPED AveragingObservationList - NonStandardFeature--> <!--View Generation: SKIPPED AveragingPeriod - NonStandardFeature--> <!--View Generation: SKIPPED AveragingSchedule - NonStandardFeature--> <!--View Generation: SKIPPED Barrier - NonStandardFeature--> <!--View Generation: SKIPPED CalendarSpread - NonStandardFeature--> <xsd:complexType name="ClassifiedPayment"> <xsd:annotation> <xsd:documentation xml:lang="en">A classified non negative payment.</xsd:documentation> <!--IY: ETTF pretrade IRS and CDS--> </xsd:annotation> <xsd:complexContent> <xsd:extension base="NonNegativePayment"> <xsd:sequence> <xsd:element maxOccurs="unbounded" minOccurs="0" name="paymentType" type="PaymentType"> <xsd:annotation> <xsd:documentation xml:lang="en">Payment classification.</xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <!--View Generation: SKIPPED Composite - NonStandardFeature--> <!--View Generation: SKIPPED CreditEventNotice - Unsupported--> <xsd:complexType name="CreditEvents"> <xsd:sequence> <!--View Generation: SKIPPED bankruptcy - Standardized--> <!--View Generation: SKIPPED failureToPay - Standardized--> <!--View Generation: SKIPPED failureToPayPrincipal - Standardized--> <!--View Generation: SKIPPED failureToPayInterest - Standardized--> <!--View Generation: SKIPPED obligationDefault - Standardized--> <!--View Generation: SKIPPED obligationAcceleration - Standardized--> <!--View Generation: SKIPPED repudiationMoratorium - Standardized--> <xsd:element minOccurs="0" name="restructuring" type="Restructuring"> <xsd:annotation> <xsd:documentation xml:lang="en"> A credit event. A restructuring is an event that materially impacts the reference entity's obligations, such as an interest rate reduction, principal reduction, deferral of interest or principal, change in priority ranking, or change in currency or composition of payment. ISDA 2003 Term: Restructuring. </xsd:documentation> </xsd:annotation> </xsd:element> <!--View Generation: SKIPPED distressedRatingsDowngrade - Standardized--> <!--View Generation: SKIPPED maturityExtension - Standardized--> <!--View Generation: SKIPPED writedown - Standardized--> <!--View Generation: SKIPPED impliedWritedown - Standardized--> <!--View Generation: SKIPPED defaultRequirement - Standardized--> <!--View Generation: SKIPPED creditEventNotice - Standardized--> </xsd:sequence> <xsd:attribute name="id" type="xsd:ID" use="optional"/> </xsd:complexType> <!--View Generation: SKIPPED CreditEventsReference - Documentation--> <!--View Generation: SKIPPED FailureToPay - Standardized--> <!--View Generation: SKIPPED FeaturePayment - NonStandardFeature--> <xsd:complexType name="FrequencyType"> <xsd:annotation> <xsd:documentation xml:lang="en">Frequency Type.</xsd:documentation> <!--IY: ETTF pretrade IRS and CDS--> </xsd:annotation> <xsd:simpleContent> <xsd:extension base="Scheme"> <xsd:attribute name="frequencyTypeScheme" type="xsd:anyURI"/> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <!--View Generation: SKIPPED FxFeature - NonStandardFeature--> <!--View Generation: SKIPPED GracePeriodExtension - Standardized--> <!--View Generation: SKIPPED Knock - NonStandardFeature--> <!--View Generation: SKIPPED MarketDisruption - Documentation--> <!--View Generation: SKIPPED NotifyingParty - Documentation--> <xsd:complexType abstract="true" name="Option"> <xsd:annotation> <xsd:documentation> A type for defining the common features of options. Buyer/seller information is not normally used in Transparency view but is optional in case the information is needed for administrative purposes such as Reporting Party determination. </xsd:documentation> <!--IY: ETTF pretrade IRS and CDS--> </xsd:annotation> <xsd:complexContent> <xsd:extension base="Product"> <xsd:sequence> <xsd:group ref="BuyerSeller.model"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType abstract="true" name="OptionBase"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type for defining the common features of options. </xsd:documentation> <!--IY: ETTF pretrade IRS and CDS--> </xsd:annotation> <xsd:complexContent> <!--5-1 FX Refactoring: Replaced the Product with Option base class. Removed BuyerSeller.model as it exists inside the option base class--> <xsd:extension base="Option"> <xsd:sequence> <xsd:element name="optionType" type="OptionTypeEnum"> <xsd:annotation> <xsd:documentation xml:lang="en"> The type of option transaction. From a usage standpoint, put/call is the default option type, while payer/receiver indicator is used for options index credit default swaps, consistently with the industry practice. Straddle is used for the case of straddle strategy, that combine a call and a put with the same strike. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType abstract="true" name="OptionBaseExtended"> <xsd:annotation> <xsd:documentation xml:lang="en"> Base type for options starting with the 4-3 release, until we refactor the schema as part of the 5-0 release series. </xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="OptionBase"> <xsd:sequence> <xsd:element minOccurs="0" name="premium" type="Premium"> <xsd:annotation> <xsd:documentation xml:lang="en"> The option premium payable by the buyer to the seller. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element ref="exercise"/> <!--View Generation: SKIPPED exerciseProcedure - Documentation--> <!--View Generation: SKIPPED feature - NonStandardFeature--> <xsd:choice minOccurs="0"> <xsd:annotation> <xsd:documentation xml:lang="en"> A choice between an explicit representation of the notional amount, or a reference to a notional amount defined elsewhere in this document. </xsd:documentation> </xsd:annotation> <xsd:element name="notionalReference" type="NotionalAmountReference"/> <xsd:element name="notionalAmount" type="Money"/> </xsd:choice> <xsd:group minOccurs="0" ref="OptionDenomination.model"/> <!--View Generation: SKIPPED - NonStandardFeature--> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <!--View Generation: SKIPPED OptionFeature - NonStandardFeature--> <xsd:complexType name="OptionNumericStrike"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type for defining the strike price for an option as a numeric value without currency. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:choice minOccurs="0"> <xsd:element name="strikePrice" type="xsd:decimal"> <xsd:annotation> <xsd:documentation xml:lang="en"> The price or level at which the option has been struck. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element name="strikePercentage" type="xsd:decimal"> <xsd:annotation> <xsd:documentation xml:lang="en"> The price or level expressed as a percentage of the forward starting spot price. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:choice> </xsd:sequence> </xsd:complexType> <xsd:complexType name="OptionStrike"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type for defining the strike price for an equity option. The strike price is either: (i) in respect of an index option transaction, the level of the relevant index specified or otherwise determined in the transaction; or (ii) in respect of a share option transaction, the price per share specified or otherwise determined in the transaction. This can be expressed either as a percentage of notional amount or as an absolute value. </xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="OptionNumericStrike"> <xsd:sequence> <xsd:element minOccurs="0" name="currency" type="Currency"> <xsd:annotation> <xsd:documentation xml:lang="en">The currency in which an amount is denominated.</xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="PassThrough"> <xsd:annotation> <xsd:documentation xml:lang="en">Type which contains pass through payments.</xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element maxOccurs="unbounded" minOccurs="0" name="passThroughItem" type="PassThroughItem"> <xsd:annotation> <xsd:documentation xml:lang="en">One to many pass through payment items.</xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:complexType> <xsd:complexType name="PassThroughItem"> <xsd:annotation> <xsd:documentation xml:lang="en">Type to represent a single pass through payment.</xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:group ref="PayerReceiver.model"/> <xsd:element minOccurs="0" name="underlyerReference" type="AssetReference"> <xsd:annotation> <xsd:documentation xml:lang="en"> Reference to the underlyer whose payments are being passed through. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="passThroughPercentage" type="xsd:decimal"> <xsd:annotation> <xsd:documentation xml:lang="en"> Percentage of payments from the underlyer which are passed through. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:complexType> <xsd:complexType name="Premium"> <xsd:annotation> <xsd:documentation xml:lang="en">A type for defining a premium.</xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="SimplePayment"> <xsd:sequence> <xsd:group ref="Premium.model"/> <!--View Generation: SKIPPED - NonStandardFeature--> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="PubliclyAvailableInformation"> <xsd:sequence> <xsd:element minOccurs="0" name="standardPublicSources" type="xsd:boolean"> <xsd:annotation> <xsd:documentation xml:lang="en"> If this element is specified and set to 'true', indicates that ISDA defined Standard Public Sources are applicable. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element maxOccurs="unbounded" minOccurs="0" name="publicSource" type="xsd:string"> <xsd:annotation> <xsd:documentation xml:lang="en"> A public information source, e.g. a particular newspaper or electronic news service, that may publish relevant information used in the determination of whether or not a credit event has occurred. ISDA 2003 Term: Public Source. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="specifiedNumber" type="xsd:positiveInteger"> <xsd:annotation> <xsd:documentation xml:lang="en"> The minimum number of the specified public information sources that must publish information that reasonably confirms that a credit event has occurred. The market convention is two. ISDA 2003 Term: Specified Number. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:complexType> <xsd:complexType name="Quanto"> <xsd:annotation> <xsd:documentation xml:lang="en"> Determines the currency rate that the seller of the equity amounts will apply at each valuation date for converting the respective amounts into a currency that is different from the currency denomination of the underlyer. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element maxOccurs="unbounded" minOccurs="0" name="fxRate" type="FxRate"> <xsd:annotation> <xsd:documentation xml:lang="en">Specifies a currency conversion rate.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="fxSpotRateSource" type="FxSpotRateSource"> <xsd:annotation> <xsd:documentation xml:lang="en"> Specifies the methodology (reference source and, optionally, fixing time) to be used for determining a currency conversion rate. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:complexType> <xsd:complexType name="Restructuring"> <xsd:sequence> <xsd:element minOccurs="0" name="applicable" type="xsd:boolean"> <xsd:annotation> <xsd:documentation xml:lang="en"> Indicates whether the restructuring provision is applicable. </xsd:documentation> </xsd:annotation> </xsd:element> <!--View Generation: SKIPPED restructuringType - Documentation--> <!--View Generation: SKIPPED multipleHolderObligation - Standardized--> <!--View Generation: SKIPPED multipleCreditEventNotices - Standardized--> </xsd:sequence> </xsd:complexType> <!--View Generation: SKIPPED RestructuringType - Documentation--> <!-- IY moved from fpml-cd.xsd for EQS PSA CFD proposal --> <!--View Generation: SKIPPED SettlementTerms - NonStandardFeature--> <!--View Generation: SKIPPED StrategyFeature - NonStandardFeature--> <xsd:complexType name="StrikeSpread"> <xsd:annotation> <xsd:documentation xml:lang="en">A type for defining a strike spread feature.</xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="upperStrike" type="OptionStrike"> <xsd:annotation> <xsd:documentation xml:lang="en">Upper strike in a strike spread.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="upperStrikeNumberOfOptions" type="PositiveDecimal"> <xsd:annotation> <xsd:documentation xml:lang="en"> Number of options at the upper strike price in a strike spread. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:complexType> <xsd:complexType name="Trigger"> <xsd:annotation> <xsd:documentation xml:lang="en">Trigger point at which feature is effective.</xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:choice minOccurs="0"> <xsd:element name="level" type="xsd:decimal"> <xsd:annotation> <xsd:documentation xml:lang="en">The trigger level.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element name="levelPercentage" type="xsd:decimal"> <xsd:annotation> <xsd:documentation xml:lang="en">The trigger level percentage.</xsd:documentation> </xsd:annotation> </xsd:element> <!--View Generation: Skipped an empty choice.--> </xsd:choice> <xsd:element minOccurs="0" name="triggerType" type="TriggerTypeEnum"> <xsd:annotation> <xsd:documentation xml:lang="en">The Triggering condition.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="triggerTimeType" type="TriggerTimeTypeEnum"> <xsd:annotation> <xsd:documentation xml:lang="en">The valuation time type of knock condition.</xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:complexType> <!--View Generation: SKIPPED TriggerEvent - NonStandardFeature--> <!--View Generation: SKIPPED WeightedAveragingObservation - NonStandardFeature--> <!--View Generation: SKIPPED OptionBaseFeature.model - NonStandardFeature--> <xsd:group name="OptionDenomination.model"> <xsd:annotation> <xsd:documentation xml:lang="en"> A model group containing the option denomination components. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="optionEntitlement" type="PositiveDecimal"> <xsd:annotation> <xsd:documentation xml:lang="en"> The number of units of underlyer per option comprised in the option transaction. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="entitlementCurrency" type="Currency"> <xsd:annotation> <xsd:documentation xml:lang="en">TODO</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="numberOfOptions" type="PositiveDecimal"> <xsd:annotation> <xsd:documentation xml:lang="en"> The number of options comprised in the option transaction. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:group> <!--View Generation: SKIPPED OptionFeature.model - NonStandardFeature--> <xsd:group name="OptionSettlement.model"> <xsd:annotation> <xsd:documentation xml:lang="en">A group which has Option Settlement elements.</xsd:documentation> </xsd:annotation> <xsd:sequence> <!--Is this an optional or required elemnt ?--> <xsd:element minOccurs="0" name="settlementType" type="SettlementTypeEnum"/> <xsd:element minOccurs="0" name="settlementDate" type="AdjustableOrRelativeDate"/> <xsd:group minOccurs="0" ref="SettlementAmountOrCurrency.model"/> </xsd:sequence> </xsd:group> </xsd:schema>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.